All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class BusinessQueryToCalculatedItemAdapter

    com.sas.dataselectors.calculateditems.BusinessQueryToCalculatedItemAdapter

All Implemented Interfaces:
  CalculatedItemInterface, CalculatedItemMetadataInterface, CalculatedItemV2Interface

    public class BusinessQueryToCalculatedItemAdapter

Field Summary

Fields inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemAdapter
`basePeriod, businessModelObject, description, ERROR_INVALIDEXPR, expression, expressionType, format, function, id, isTimeBasedItem, label, measureExpression, objectFactory, RB_KEY, timeExpressionMeasure, validateCalculationEnabled`

Fields inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemInterface
`CALCITEM_TYPE_BITSTRING, CALCITEM_TYPE_BOOLEAN, CALCITEM_TYPE_CHARACTER, CALCITEM_TYPE_DATE, CALCITEM_TYPE_INTERVAL_DT, CALCITEM_TYPE_INTERVAL_YM, CALCITEM_TYPE_NOT_SET, CALCITEM_TYPE_NUMERIC, CALCITEM_TYPE_OLAP_CATEGORY, CALCITEM_TYPE_OLAP_MEASURE, CALCITEM_TYPE_TIME, CALCITEM_TYPE_TIMESTAMP`

Constructor Summary
`BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs an adapter with the specified DataSelection.
`BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, java.lang.String id, java.lang.String label, java.lang.String description, int type, java.lang.String expr)`
`BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, java.lang.String id, java.lang.String label, java.lang.String description, int type, java.lang.String expr, java.lang.String format)`
`BusinessQueryToCalculatedItemAdapter(CalculatedObjectFactoryInterface factory, java.lang.Object businessObject)` Constructs an adapter with the specified DataSelection.

Method Summary

Methods inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemAdapter
`commitChanges, convertToCalcItemType, convertToExpressionType, getBasePeriod, getBusinessDataSourceTree, getBusinessModelObject, getDataSourceTree, getDescription, getExpression, getExpressionAreaString, getExpressionType, getExpressionTypeLabel, getFormat, getFunctionListTree, getId, getLabel, getLastInvalidCalculatedItemMessage, getLastInvalidExpressionException, getLevelHasMembers, getLevelNameMap, getLevelNames, getLocale, getMaxOutputObservations, getMeasureExpression, getMeasureNameMap, getMeasureNames, getMemberNames, getName, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, getTimeFunction, getValidExpressionTypeNames, getValidExpressionTypeValues, isTimeBasedItem, isValidateCalculationEnabled, setBasePeriod, setDescription, setExpression, setExpressionType, setFormat, setId, setLabel, setLocale, setMaxOutputObservations, setMeasureExpression, setName, setTimeFunction, setValidateCalculationEnabled, toString, validate, validate, validateCalculation`

Constructor Detail

### BusinessQueryToCalculatedItemAdapter

    public BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs an adapter with the specified DataSelection.

  Parameters:
    `businessQuery` - is a business query to which the calculated item is to be associated.

### BusinessQueryToCalculatedItemAdapter

    public BusinessQueryToCalculatedItemAdapter(CalculatedObjectFactoryInterface factory,
                                                java.lang.Object businessObject)

  Constructs an adapter with the specified DataSelection.

  Parameters:
    `businessQuery` - is a business query to which the calculated item is to be associated.
    `objectFactory` - is a CalculatedObjectFactoryinterface to use for creating business objects
    `businessObject` - is a Object that the factory will use to initialize a CalculatedItem using updateCalculatedItemFromBusinessModelObject(...)

### BusinessQueryToCalculatedItemAdapter

    public BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                java.lang.String id,
                                                java.lang.String label,
                                                java.lang.String description,
                                                int type,
                                                java.lang.String expr)

### BusinessQueryToCalculatedItemAdapter

    public BusinessQueryToCalculatedItemAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                java.lang.String id,
                                                java.lang.String label,
                                                java.lang.String description,
                                                int type,
                                                java.lang.String expr,
                                                java.lang.String format)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.